/*
  Copyright (C) 2008 Alessandro Bugatti (alessandro.bugatti@istruzione.it)

  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2
  of the License, or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

/*! \file
 *  \brief Classe semplice per gestire un conto corrente
 *  con le operazioni di creazione, accredito, addebito e saldo
 *  \author Alessandro Bugatti
 *
 *  \version 0.1
 *  \date  Creazione  07/03/2009
 *  \date  Ultima modifica 07/03/2009
 *
 */

#include "contocorrente.h"

ContoCorrente::ContoCorrente(const string& n, const string& c)
{
    Nome = n;
    Cognome = c;
    Codice = generaCodice();
    capitale = 0;
}

void ContoCorrente::deposito(double d)
{
    capitale += d;
}

bool ContoCorrente::prelievo(double p)
{
    if (p <= capitale)
    {
        capitale -= p;
        return true;
    }
    else
        return false;
}

double ContoCorrente::saldo() const
{
    return capitale;
}

string ContoCorrente::getNominativo() const
{
    return Cognome + " " + Nome;
}

